Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.DLMUserPreferences
Class GPreferencesState

    java.lang.Object
      org.jasig.portal.channels.DLMUserPreferences.BaseState
          org.jasig.portal.channels.DLMUserPreferences.GPreferencesState

All Implemented Interfaces:
  IChannel, IPrivileged, IPrivilegedChannel

     class GPreferencesState

extends BaseState

Manages User Layout and user stylesheet preferences

This is a general UserPreference component. A structure/theme stylesheet is expected to replace this component with its own class to make layout/stylesheet preference management more intuitive.

Version:
  $Revision: 1.5 $
Author:
  Ken Weiner, kweiner@interactivebusiness.com, Peter Kharchenko, peterk@interactivebusiness.com

Nested Class Summary
`protected class` | `GPreferencesState.GBrowseState`
`protected class` | `GPreferencesState.GEditLayoutItemState`
`protected class` | `GPreferencesState.GGlobalPrefsState`
`protected class` | `GPreferencesState.GMoveToState`

Field Summary
`private static java.lang.String` | `bundleLocation`
`private java.lang.String` | `folderID`
`private static java.lang.String` | `layoutID`
`private static org.apache.commons.logging.Log` | `log`
`private boolean` | `modified`
`private UserProfile` | `profile`
`protected ChannelRuntimeData` | `runtimeData`
`(package private) StructureStylesheetDescription` | `ssd`
`(package private) ThemeStylesheetDescription` | `tsd`
`private IUserLayoutManager` | `ulm`
`protected IUserLayoutStore` | `ulsdb`
`private UserPreferences` | `up`

Fields inherited from class org.jasig.portal.channels.DLMUserPreferences.BaseState
`context, internalState`

Constructor Summary
`GPreferencesState()`
`GPreferencesState(CUserPreferences context)` Creates a new `GPreferencesState` for a given context.
`GPreferencesState(CUserPreferences context, UserProfile p)`

Method Summary
`protected java.lang.String` | `getFolderID()` Obtain current folderId
`protected java.lang.String` | `getLayoutRootID()`
`protected UserProfile` | `getProfile()`
`protected StructureStylesheetDescription` | `getStructureStylesheetDescription()`
`protected StylesheetSet` | `getStylesheetSet()`
`protected ThemeStylesheetDescription` | `getThemeStylesheetDescription()`
`protected IUserLayoutManager` | `getUserLayoutManager()`
`protected UserPreferences` | `getUserPreferences()`
`protected IUserPreferencesManager` | `getUserPreferencesManager()`
`protected boolean` | `isModified()` Check if the user layout or preferences have been modified.
`private boolean` | `modifyingCurrentUserLayout()`
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`protected void` | `setFolderID(java.lang.String id)` Set current folderId.
`protected void` | `setModified(boolean mod)` Set modification state
`void` | `setPortalControlStructures(PortalControlStructures pcs)` Passes portal control structure to the channel.
`void` | `setRuntimeData(ChannelRuntimeData rd)` Passes ChannelRuntimeData to the channel.

Methods inherited from class org.jasig.portal.channels.DLMUserPreferences.BaseState
`getRuntimeProperties, receiveEvent, setContext, setState, setStaticData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### profile

    private UserProfile profile

### runtimeData

    protected ChannelRuntimeData runtimeData

### up

    private UserPreferences up

### ulm

    private IUserLayoutManager ulm

### tsd

    ThemeStylesheetDescription tsd

### ssd

    StructureStylesheetDescription ssd

### ulsdb

    protected IUserLayoutStore ulsdb

### layoutID

    private static final java.lang.String layoutID

See Also:
  Constant Field Values

### folderID

    private java.lang.String folderID

### modified

    private boolean modified

### bundleLocation

    private static final java.lang.String bundleLocation

See Also:
  Constant Field Values

Constructor Detail

### GPreferencesState

    public GPreferencesState()

### GPreferencesState

    public GPreferencesState(CUserPreferences context)

  Creates a new `GPreferencesState` for a given context.

  Parameters:
    `context` - a `CUserPreferences` value

### GPreferencesState

    public GPreferencesState(CUserPreferences context,
                             UserProfile p)

Method Detail

### isModified

    protected boolean isModified()

  Check if the user layout or preferences have been modified.

  Returns:
    a `boolean` value

### setModified

    protected void setModified(boolean mod)

  Set modification state

  Parameters:
    `mod` - a `boolean` value

### setFolderID

    protected void setFolderID(java.lang.String id)

  Set current folderId.

  Parameters:
    `id` - a `String` value

### getFolderID

    protected java.lang.String getFolderID()

  Obtain current folderId

  Returns:
    a `String` value

### getLayoutRootID

    protected java.lang.String getLayoutRootID()

### getUserLayoutManager

    protected IUserLayoutManager getUserLayoutManager()
                                               throws PortalException

  Throws:
    `PortalException`

### modifyingCurrentUserLayout

    private boolean modifyingCurrentUserLayout()
                                        throws PortalException

  Throws:
    `PortalException`

### getUserPreferencesManager

    protected IUserPreferencesManager getUserPreferencesManager()

### getUserPreferences

    protected UserPreferences getUserPreferences()
                                          throws ResourceMissingException,
                                                 PortalException

  Throws:
    `ResourceMissingException`
    `PortalException`

### getThemeStylesheetDescription

    protected ThemeStylesheetDescription getThemeStylesheetDescription()
                                                                throws PortalException

  Throws:
    `PortalException`

### getStructureStylesheetDescription

    protected StructureStylesheetDescription getStructureStylesheetDescription()
                                                                        throws ResourceMissingException,
                                                                               PortalException

  Throws:
    `ResourceMissingException`
    `PortalException`

### setPortalControlStructures

    public void setPortalControlStructures(PortalControlStructures pcs)
                                    throws PortalException

  Description copied from interface: `IPrivileged`
  Passes portal control structure to the channel.

  Specified by:
    `setPortalControlStructures` in interface `IPrivileged`
  Overrides:
    `setPortalControlStructures` in class `BaseState`
  Throws:
    `PortalException`
  See Also:
    `PortalControlStructures`

### getStylesheetSet

    protected StylesheetSet getStylesheetSet()

### getProfile

    protected UserProfile getProfile()

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rd)
                        throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelRuntimeData to the channel. This function is called prior to the renderXML() call.

  Specified by:
    `setRuntimeData` in interface `IChannel`
  Overrides:
    `setRuntimeData` in class `BaseState`
  Parameters:
    `rd` - channel runtime data
  Throws:
    `PortalException`
  See Also:
    `ChannelRuntimeData`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Overrides:
    `renderXML` in class `BaseState`
  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD